# Do not edit this file, please run `Rscript scripts/update_bootswatch.R`

"""
Targeted theme methods for all Bootswatch themes.
"""

from __future__ import annotations

from htmltools import HTMLDependency

from ._get_theme import get_theme as _get_theme


def cerulean() -> list[HTMLDependency]:
    """
    `cerulean` Bootswatch theme

    Visit [https://bootswatch.com/cerulean/](https://bootswatch.com/cerulean/) to see a Bootswatch's demo of the `cerulean` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (cerulean) and Bootstrap 5 theme.
    """

    return _get_theme("cerulean")


def cosmo() -> list[HTMLDependency]:
    """
    `cosmo` Bootswatch theme

    Visit [https://bootswatch.com/cosmo/](https://bootswatch.com/cosmo/) to see a Bootswatch's demo of the `cosmo` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (cosmo) and Bootstrap 5 theme.
    """

    return _get_theme("cosmo")


def cyborg() -> list[HTMLDependency]:
    """
    `cyborg` Bootswatch theme

    Visit [https://bootswatch.com/cyborg/](https://bootswatch.com/cyborg/) to see a Bootswatch's demo of the `cyborg` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (cyborg) and Bootstrap 5 theme.
    """

    return _get_theme("cyborg")


def darkly() -> list[HTMLDependency]:
    """
    `darkly` Bootswatch theme

    Visit [https://bootswatch.com/darkly/](https://bootswatch.com/darkly/) to see a Bootswatch's demo of the `darkly` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (darkly) and Bootstrap 5 theme.
    """

    return _get_theme("darkly")


def flatly() -> list[HTMLDependency]:
    """
    `flatly` Bootswatch theme

    Visit [https://bootswatch.com/flatly/](https://bootswatch.com/flatly/) to see a Bootswatch's demo of the `flatly` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (flatly) and Bootstrap 5 theme.
    """

    return _get_theme("flatly")


def journal() -> list[HTMLDependency]:
    """
    `journal` Bootswatch theme

    Visit [https://bootswatch.com/journal/](https://bootswatch.com/journal/) to see a Bootswatch's demo of the `journal` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (journal) and Bootstrap 5 theme.
    """

    return _get_theme("journal")


def litera() -> list[HTMLDependency]:
    """
    `litera` Bootswatch theme

    Visit [https://bootswatch.com/litera/](https://bootswatch.com/litera/) to see a Bootswatch's demo of the `litera` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (litera) and Bootstrap 5 theme.
    """

    return _get_theme("litera")


def lumen() -> list[HTMLDependency]:
    """
    `lumen` Bootswatch theme

    Visit [https://bootswatch.com/lumen/](https://bootswatch.com/lumen/) to see a Bootswatch's demo of the `lumen` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (lumen) and Bootstrap 5 theme.
    """

    return _get_theme("lumen")


def lux() -> list[HTMLDependency]:
    """
    `lux` Bootswatch theme

    Visit [https://bootswatch.com/lux/](https://bootswatch.com/lux/) to see a Bootswatch's demo of the `lux` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (lux) and Bootstrap 5 theme.
    """

    return _get_theme("lux")


def materia() -> list[HTMLDependency]:
    """
    `materia` Bootswatch theme

    Visit [https://bootswatch.com/materia/](https://bootswatch.com/materia/) to see a Bootswatch's demo of the `materia` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (materia) and Bootstrap 5 theme.
    """

    return _get_theme("materia")


def minty() -> list[HTMLDependency]:
    """
    `minty` Bootswatch theme

    Visit [https://bootswatch.com/minty/](https://bootswatch.com/minty/) to see a Bootswatch's demo of the `minty` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (minty) and Bootstrap 5 theme.
    """

    return _get_theme("minty")


def morph() -> list[HTMLDependency]:
    """
    `morph` Bootswatch theme

    Visit [https://bootswatch.com/morph/](https://bootswatch.com/morph/) to see a Bootswatch's demo of the `morph` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (morph) and Bootstrap 5 theme.
    """

    return _get_theme("morph")


def pulse() -> list[HTMLDependency]:
    """
    `pulse` Bootswatch theme

    Visit [https://bootswatch.com/pulse/](https://bootswatch.com/pulse/) to see a Bootswatch's demo of the `pulse` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (pulse) and Bootstrap 5 theme.
    """

    return _get_theme("pulse")


def quartz() -> list[HTMLDependency]:
    """
    `quartz` Bootswatch theme

    Visit [https://bootswatch.com/quartz/](https://bootswatch.com/quartz/) to see a Bootswatch's demo of the `quartz` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (quartz) and Bootstrap 5 theme.
    """

    return _get_theme("quartz")


def sandstone() -> list[HTMLDependency]:
    """
    `sandstone` Bootswatch theme

    Visit [https://bootswatch.com/sandstone/](https://bootswatch.com/sandstone/) to see a Bootswatch's demo of the `sandstone` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (sandstone) and Bootstrap 5 theme.
    """

    return _get_theme("sandstone")


def simplex() -> list[HTMLDependency]:
    """
    `simplex` Bootswatch theme

    Visit [https://bootswatch.com/simplex/](https://bootswatch.com/simplex/) to see a Bootswatch's demo of the `simplex` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (simplex) and Bootstrap 5 theme.
    """

    return _get_theme("simplex")


def sketchy() -> list[HTMLDependency]:
    """
    `sketchy` Bootswatch theme

    Visit [https://bootswatch.com/sketchy/](https://bootswatch.com/sketchy/) to see a Bootswatch's demo of the `sketchy` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (sketchy) and Bootstrap 5 theme.
    """

    return _get_theme("sketchy")


def slate() -> list[HTMLDependency]:
    """
    `slate` Bootswatch theme

    Visit [https://bootswatch.com/slate/](https://bootswatch.com/slate/) to see a Bootswatch's demo of the `slate` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (slate) and Bootstrap 5 theme.
    """

    return _get_theme("slate")


def solar() -> list[HTMLDependency]:
    """
    `solar` Bootswatch theme

    Visit [https://bootswatch.com/solar/](https://bootswatch.com/solar/) to see a Bootswatch's demo of the `solar` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (solar) and Bootstrap 5 theme.
    """

    return _get_theme("solar")


def spacelab() -> list[HTMLDependency]:
    """
    `spacelab` Bootswatch theme

    Visit [https://bootswatch.com/spacelab/](https://bootswatch.com/spacelab/) to see a Bootswatch's demo of the `spacelab` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (spacelab) and Bootstrap 5 theme.
    """

    return _get_theme("spacelab")


def superhero() -> list[HTMLDependency]:
    """
    `superhero` Bootswatch theme

    Visit [https://bootswatch.com/superhero/](https://bootswatch.com/superhero/) to see a Bootswatch's demo of the `superhero` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (superhero) and Bootstrap 5 theme.
    """

    return _get_theme("superhero")


def united() -> list[HTMLDependency]:
    """
    `united` Bootswatch theme

    Visit [https://bootswatch.com/united/](https://bootswatch.com/united/) to see a Bootswatch's demo of the `united` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (united) and Bootstrap 5 theme.
    """

    return _get_theme("united")


def vapor() -> list[HTMLDependency]:
    """
    `vapor` Bootswatch theme

    Visit [https://bootswatch.com/vapor/](https://bootswatch.com/vapor/) to see a Bootswatch's demo of the `vapor` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (vapor) and Bootstrap 5 theme.
    """

    return _get_theme("vapor")


def yeti() -> list[HTMLDependency]:
    """
    `yeti` Bootswatch theme

    Visit [https://bootswatch.com/yeti/](https://bootswatch.com/yeti/) to see a Bootswatch's demo of the `yeti` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (yeti) and Bootstrap 5 theme.
    """

    return _get_theme("yeti")


def zephyr() -> list[HTMLDependency]:
    """
    `zephyr` Bootswatch theme

    Visit [https://bootswatch.com/zephyr/](https://bootswatch.com/zephyr/) to see a Bootswatch's demo of the `zephyr` theme.

    Returns
    -------
    list[htmltools.HTMLDependency]
        List of HTMLDependency objects that create a Bootswatch (zephyr) and Bootstrap 5 theme.
    """

    return _get_theme("zephyr")
